# Imported module name
%global modname ots
# PyPI distribution name
%global srcname opentype-sanitizer

%global forgeurl https://github.com/googlefonts/ots-python/

Name:           python-%{modname}
# Upstream version is kept in sync with opentype-sanitizer
# (https://github.com/khaledhosny/ots), which is normally built and bundled as
# part of the Python wheel build. Similarly, we should update this package
# together with the opentype-sanitizer package in the distribution, ideally as
# a multi-build update.
#
# See https://github.com/googlefonts/ots-python/issues/3 for the process to
# update the source for a new opentype-sanitizer release; send upstream a PR if
# they are lagging.
Version:        8.1.4
%forgemeta
Release:        1%{?dist}
Summary:        Python wrapper for the OpenType Sanitizer

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

Patch0:         %{name}-8.1.4-no-bundled-executable.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest)
BuildRequires:  opentype-sanitizer = %{version}

Requires:       opentype-sanitizer = %{version}

# Name as it appears in the egg-info
%global eggname %(echo '%{srcname}' | tr - _)

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %{common_description}


%prep
%forgeautosetup -p1


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%py3_build


%install
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
export BINDIR=%{_bindir}
%py3_install


%check
%pytest


%files -n python3-%{modname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 8.1.4-1
- Initial package
